# Change Log

All notable changes to the “gitea-workflow” extension will be documented in this file.


## 1.3

**BREAKING CHANGE**

    New authentication and authorization is necessary, due to the redesign of the login and management of multiple Gitea instances!

### Added

- **Support for Multiple Gitea Instances**: You can now manage and switch between multiple Gitea instances within VSCode. Use the `Gitea: Configure` command to add, edit, or remove instances.
- **Enhanced Status Bar Integration**:
  - **Branch Status**: The status bar now displays the current branch and indicates if it is ahead or behind the remote branch.
  - **Build Status**: The build status of the current commit (e.g., success, failure, pending) is now shown in the status bar.

### Changed

- **Configuration Settings**:
  - The settings for Gitea instance URL and Personal Access Token have been updated to support multiple instances.
  - Old settings `gitea.instanceUrl` and `gitea.personalAccessToken` are replaced by `gitea.instances`, an array of instance configurations.

### Fixed

- **Bug Fixes**:
  - Resolved issues with status bar items not updating correctly.
  - Fixed an issue where long commit messages caused errors when creating pull requests by truncating titles and bodies to acceptable lengths.

## 1.2.2

### Fixed

- no errors if not a Git-Repository
- no errors if not a Gitea-Repository with configured upstream
- no Statusbar icons if not Git/Gitea-Repository
- truncate Commit Titles longer than 255 characters

## 1.2.1

### Fixed

- cloning into existing subpath working again

### Added

- more verbose error handling


## 1.2.0

### Added

- Show open Pull Requests (Command and Status Bar Icon)

## 1.1.0

### Added

- Add localization for English and German

### Fixed

- add `git clone` functionality again, after it got "lost on the way"

## 1.0.2

### Added

- add Link to Public Repo
- fix changelog

## 1.0.1

### Added

- Add Icon
- Add section for PR to README
- Update README

## 1.0.0 

_initial release_